PLplot: EscText Struct Reference

PLplot 5.15.0

Public Types | Public Attributes | List of all members
EscText Struct Reference

`#include "plplotP.h"`

## Public Types
enum | { PL_STRING_TEXT, PL_STRING_SYMBOL }

## Public Attributes
enum EscText:: { ... } | text_type
PLINT | base
PLFLT | just
PLFLT * | xform
PLINT | x
PLINT | y
PLINT | refx
PLINT | refy
char | font_face
PLUNICODE | n_fci
PLUNICODE | n_char
PLINT | n_ctrl_char
PLUNICODE | unicode_char
PLUNICODE * | unicode_array
unsigned short | unicode_array_len
const char * | string
PLINT | symbol

## Detailed Description

Definition at line 699 of file plplotP.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
PL_STRING_TEXT |
PL_STRING_SYMBOL |

Definition at line 704 of file plplotP.h.

## Member Data Documentation

## ◆ base

PLINT EscText::base

Definition at line 707 of file plplotP.h.

## ◆ font_face

char EscText::font_face

Definition at line 720 of file plplotP.h.

## ◆ just

PLFLT EscText::just

Definition at line 708 of file plplotP.h.

## ◆ n_char

PLUNICODE EscText::n_char

Definition at line 727 of file plplotP.h.

## ◆ n_ctrl_char

PLINT EscText::n_ctrl_char

Definition at line 728 of file plplotP.h.

## ◆ n_fci

PLUNICODE EscText::n_fci

Definition at line 726 of file plplotP.h.

## ◆ refx

PLINT EscText::refx

Definition at line 716 of file plplotP.h.

## ◆ refy

PLINT EscText::refy

Definition at line 717 of file plplotP.h.

## ◆ string

const char* EscText::string

Definition at line 739 of file plplotP.h.

## ◆ symbol

PLINT EscText::symbol

Definition at line 740 of file plplotP.h.

## ◆ text_type

enum { ... } EscText::text_type

## ◆ unicode_array

PLUNICODE* EscText::unicode_array

Definition at line 735 of file plplotP.h.

## ◆ unicode_array_len

unsigned short EscText::unicode_array_len

Definition at line 736 of file plplotP.h.

## ◆ unicode_char

PLUNICODE EscText::unicode_char

Definition at line 731 of file plplotP.h.

## ◆ x

PLINT EscText::x

Definition at line 712 of file plplotP.h.

## ◆ xform

PLFLT* EscText::xform

Definition at line 709 of file plplotP.h.

## ◆ y

PLINT EscText::y

Definition at line 713 of file plplotP.h.

The documentation for this struct was generated from the following file:

- plplotP.h